/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.contrats;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.modele.interfaces.INomenclature;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.referentiel.EOStructure;
import org.cocktail.mangue.modele.mangue.individu.EOVacataires;
import org.cocktail.mangue.modele.mangue.individu.EOVacatairesAffectation;

import com.webobjects.eointerface.EODisplayGroup;


/**
 *
 * @author  cpinsard
 */
public class ContratsVacationsView extends JFrame {

	protected EODisplayGroup eod, eodAffectations;
	protected ZEOTable myEOTable, myEOTableAffectations;
	protected ZEOTableModel myTableModel, myTableModelAffectations;
	protected TableSorter myTableSorter, myTableSorterAffectations;

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public ContratsVacationsView(java.awt.Frame parent, boolean modal, EODisplayGroup eod, EODisplayGroup eodAffectations) {
       // super(parent, modal);
    	
    	this.eod = eod;
    	this.eodAffectations = eodAffectations;

        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        tfTitre = new javax.swing.JTextField();
        viewVacations = new javax.swing.JPanel();
        jSeparator1 = new javax.swing.JSeparator();
        viewTableCarrieres = new javax.swing.JPanel();
        btnAjouter = new javax.swing.JButton();
        btnModifier = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        btnImprimer = new javax.swing.JButton();
        tfTitreAffectations = new javax.swing.JTextField();
        viewTableAffectations = new javax.swing.JPanel();
        btnAjouterAff = new javax.swing.JButton();
        btnModifierAff = new javax.swing.JButton();
        btnSupprimerAff = new javax.swing.JButton();
        lblMessage = new javax.swing.JLabel();
        tfProfession = new javax.swing.JTextField();
        tfEmployeur = new javax.swing.JTextField();
        tfUai = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        tfCorps = new javax.swing.JTextField();
        jScrollPane1 = new javax.swing.JScrollPane();
        taObservations = new javax.swing.JTextArea();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("GESTION DES CONTRATS");

        tfTitre.setBackground(new java.awt.Color(153, 153, 255));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Times New Roman", 0, 14));
        tfTitre.setForeground(new java.awt.Color(255, 255, 204));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("VACATIONS");
        tfTitre.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        tfTitre.setFocusable(false);
        tfTitre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreActionPerformed(evt);
            }
        });

        viewVacations.setPreferredSize(new java.awt.Dimension(724, 700));

        jSeparator1.setForeground(new java.awt.Color(0, 0, 255));

        viewTableCarrieres.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableCarrieres.setLayout(new java.awt.BorderLayout());

        btnAjouter.setToolTipText("Ajouter une vacation");

        btnModifier.setToolTipText("Modifier la vacation");

        btnSupprimer.setToolTipText("Supprimer la vacation");

        btnImprimer.setToolTipText("Imprimer le contrat de vacation");

        tfTitreAffectations.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreAffectations.setEditable(false);
        tfTitreAffectations.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreAffectations.setText("AFFECTATION");
        tfTitreAffectations.setAutoscrolls(false);
        tfTitreAffectations.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        viewTableAffectations.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableAffectations.setLayout(new java.awt.BorderLayout());

        btnAjouterAff.setToolTipText("Ajouter une affectation");

        btnModifierAff.setToolTipText("Modifier");

        btnSupprimerAff.setToolTipText("Supprimer");

        lblMessage.setText("TOTAL des vacations : 120 H ( 90 avec enseignement, 30 sans)");

        tfProfession.setEditable(false);

        tfEmployeur.setEditable(false);

        tfUai.setEditable(false);

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("UAI");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Employeur");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Profession");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Corps");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Observations");

        tfCorps.setEditable(false);

        taObservations.setColumns(20);
        taObservations.setRows(5);
        jScrollPane1.setViewportView(taObservations);

        org.jdesktop.layout.GroupLayout viewVacationsLayout = new org.jdesktop.layout.GroupLayout(viewVacations);
        viewVacations.setLayout(viewVacationsLayout);
        viewVacationsLayout.setHorizontalGroup(
            viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewVacationsLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, viewVacationsLayout.createSequentialGroup()
                            .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(org.jdesktop.layout.GroupLayout.TRAILING, viewVacationsLayout.createSequentialGroup()
                                    .add(viewTableAffectations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 565, Short.MAX_VALUE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(btnSupprimerAff, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(btnModifierAff, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(btnAjouterAff, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(12, 12, 12))
                                .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewVacationsLayout.createSequentialGroup()
                                        .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jScrollPane1))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewVacationsLayout.createSequentialGroup()
                                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfCorps))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewVacationsLayout.createSequentialGroup()
                                        .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfProfession))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewVacationsLayout.createSequentialGroup()
                                        .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfEmployeur)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 396, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, viewVacationsLayout.createSequentialGroup()
                            .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(lblMessage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 559, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(viewTableCarrieres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 565, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(12, 12, 12)))
                    .add(tfTitreAffectations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 565, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        viewVacationsLayout.setVerticalGroup(
            viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewVacationsLayout.createSequentialGroup()
                .addContainerGap()
                .add(lblMessage)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewVacationsLayout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableCarrieres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 206, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfTitreAffectations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewVacationsLayout.createSequentialGroup()
                        .add(btnAjouterAff, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifierAff, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerAff, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(77, 77, 77)
                        .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewVacationsLayout.createSequentialGroup()
                        .add(viewTableAffectations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(11, 11, 11)
                        .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfEmployeur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfProfession, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(viewVacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(71, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 801, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .add(10, 10, 10)
                .add(viewVacations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 626, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewVacations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 597, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(158, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-817)/2, (screenSize.height-826)/2, 817, 826);
    }// </editor-fold>//GEN-END:initComponents

    private void tfTitreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_tfTitreActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                ContratsVacationsView dialog = new ContratsVacationsView(new javax.swing.JFrame(), true, null, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnAjouterAff;
    private javax.swing.JButton btnImprimer;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnModifierAff;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton btnSupprimerAff;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JLabel lblMessage;
    private javax.swing.JTextArea taObservations;
    private javax.swing.JTextField tfCorps;
    private javax.swing.JTextField tfEmployeur;
    private javax.swing.JTextField tfProfession;
    private javax.swing.JTextField tfTitre;
    private javax.swing.JTextField tfTitreAffectations;
    private javax.swing.JTextField tfUai;
    protected javax.swing.JPanel viewTableAffectations;
    protected javax.swing.JPanel viewTableCarrieres;
    private javax.swing.JPanel viewVacations;
    // End of variables declaration//GEN-END:variables

    
    private void initGui() {

    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);

    	btnAjouterAff.setIcon(CocktailIcones.ICON_ADD);
    	btnModifierAff.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimerAff.setIcon(CocktailIcones.ICON_DELETE);
    	btnImprimer.setIcon(CocktailIcones.ICON_PRINTER_16);
    	
    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOVacataires.DATE_DEBUT_KEY, "Début", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.DATE_FIN_KEY, "Fin", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.NBR_HEURES_KEY, "H Prev.", 50);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.NBR_HEURES_REALISEES_KEY, "H Réal.", 50);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TEM_ENSEIGNANT_KEY, "Ens.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TEM_TITULAIRE_KEY, "Tit.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TEM_PERS_ETAB_KEY, "Etab.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TEM_SIGNE_KEY, "Val.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOVacataires.TO_CNU_KEY+"."+INomenclature.CODE_KEY, "CNU", 30);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.BG_COLOR_WHITE);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTableCarrieres.setLayout(new BorderLayout());
		viewTableCarrieres.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableCarrieres.removeAll();
		viewTableCarrieres.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    	myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodAffectations, EOVacatairesAffectation.TO_STRUCTURE_KEY+"."+EOStructure.LL_STRUCTURE_KEY, "Structure", 250);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodAffectations, EOVacatairesAffectation.NBR_HEURES_KEY, "Heures", 70);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodAffectations, EOVacatairesAffectation.TEM_PRINCIPALE_KEY, "PRINC.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);

		myTableModelAffectations = new ZEOTableModel(eodAffectations, myCols);
		myTableSorterAffectations = new TableSorter(myTableModelAffectations);

		myEOTableAffectations = new ZEOTable(myTableSorterAffectations);
		//myEOTablePosition.addListener(myListenerContrat);
		myTableSorterAffectations.setTableHeader(myEOTableAffectations.getTableHeader());		

		myEOTableAffectations.setBackground(CocktailConstantes.BG_COLOR_WHITE);
		myEOTableAffectations.setForeground(CocktailConstantes.BG_COLOR_GREY);
		myEOTableAffectations.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableAffectations.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTableAffectations.setLayout(new BorderLayout());
		viewTableAffectations.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableAffectations.removeAll();
		viewTableAffectations.add(new JScrollPane(myEOTableAffectations), BorderLayout.CENTER);

		
    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTable getMyEOTableAffectations() {
		return myEOTableAffectations;
	}

	public void setMyEOTableAffectations(ZEOTable myEOTableAffectations) {
		this.myEOTableAffectations = myEOTableAffectations;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnAjouterAff() {
		return btnAjouterAff;
	}

	public void setBtnAjouterAff(javax.swing.JButton btnAjouterAff) {
		this.btnAjouterAff = btnAjouterAff;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnModifierAff() {
		return btnModifierAff;
	}

	public void setBtnModifierAff(javax.swing.JButton btnModifierAff) {
		this.btnModifierAff = btnModifierAff;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getBtnSupprimerAff() {
		return btnSupprimerAff;
	}

	public void setBtnSupprimerAff(javax.swing.JButton btnSupprimerAff) {
		this.btnSupprimerAff = btnSupprimerAff;
	}

	public javax.swing.JPanel getViewVacations() {
		return viewVacations;
	}

	public void setViewVacations(javax.swing.JPanel viewVacations) {
		this.viewVacations = viewVacations;
	}

	public javax.swing.JButton getBtnImprimer() {
		return btnImprimer;
	}

	public void setBtnImprimer(javax.swing.JButton btnImprimer) {
		this.btnImprimer = btnImprimer;
	}

	public javax.swing.JLabel getLblMessage() {
		return lblMessage;
	}

	public void setLblMessage(javax.swing.JLabel lblMessage) {
		this.lblMessage = lblMessage;
	}

	public javax.swing.JTextField getTfCorps() {
		return tfCorps;
	}

	public void setTfCorps(javax.swing.JTextField tfCorps) {
		this.tfCorps = tfCorps;
	}

	public javax.swing.JTextField getTfEmployeur() {
		return tfEmployeur;
	}

	public void setTfEmployeur(javax.swing.JTextField tfEmployeur) {
		this.tfEmployeur = tfEmployeur;
	}

	public javax.swing.JTextField getTfProfession() {
		return tfProfession;
	}

	public void setTfProfession(javax.swing.JTextField tfProfession) {
		this.tfProfession = tfProfession;
	}

	public javax.swing.JTextField getTfUai() {
		return tfUai;
	}

	public void setTfUai(javax.swing.JTextField tfUai) {
		this.tfUai = tfUai;
	}

	public javax.swing.JTextArea getTaObservations() {
		return taObservations;
	}

	public void setTaObservations(javax.swing.JTextArea taObservations) {
		this.taObservations = taObservations;
	}

}